Pre-release — content may change.

Memberships

List membership tiers

GET
/memberships

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

include?string

Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.

sort?string

Comma-separated list of attributes to sort by. Prefix with - for descending order (-created_at,family_name).

page?

Offset pagination parameters.

filter?

Filter predicates on Membership attributes. Keys take the form filter[<attribute>_<predicate>]=<value>, repeatable per query.

See the Organizations list endpoint for the full predicate reference.

fields[memberships]?array<>

Sparse-fieldset selection.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/memberships"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "memberships",      "attributes": {        "name": "string",        "name_en": "string",        "name_fr": "string",        "name_es": "string",        "description": "string",        "description_en": "string",        "description_fr": "string",        "description_es": "string",        "code": "string",        "active": true,        "data": {},        "external_id": "string",        "scheduled_payments": "string",        "refundable": "string",        "adjustable": "string",        "renewable": "string",        "weight": 0,        "approval": "string",        "slug": "string",        "type": "individual",        "max_assignments": 0,        "unlimited_assignments": true,        "category": "string",        "default_grace_period_days": 0,        "is_cascadeable": true,        "cascade_type": "horizontal",        "cascadeable_resource_types": [          "string"        ],        "leave_public": "leave_public_eligible",        "tags": [          "string"        ]      },      "relationships": {        "organization": {          "data": {            "type": "organizations",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organization",            "related": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/organization"          }        },        "parent": {          "data": {            "type": "memberships",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/parent",            "related": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/parent"          }        },        "organization_type": {          "data": {            "type": "resource_types",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organization_type",            "related": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/organization_type"          }        },        "connection_type": {          "data": {            "type": "resource_types",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/connection_type",            "related": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/connection_type"          }        },        "tax_category": {          "data": {            "type": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/tax_category",            "related": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/tax_category"          }        },        "fusebill_products": {          "data": [            {              "type": "fusebill_products",              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"            }          ],          "links": {            "self": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/fusebill_products",            "related": "/memberships/7247ad7d-9275-454b-9e3a-0570e403739e/fusebill_products"          }        }      }    }  ],  "meta": {    "page": {      "total_items": 0,      "total_pages": 0,      "number": 0,      "size": 0    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}